# View

@ Hikageable
@ JvmName (name = "ViewTyped")
inline fun < V : View > View (lparams: Hikage.LayoutParams ? = null, id: String ? = null, init: HikageView < V > = {}): V

Provide a new View instance V.

#### Return

V

#### Parameters

lparams

the view layout params.

id

the view id, generated by default.

init

the view initialization body.

@ Hikageable
inline fun View (lparams: Hikage.LayoutParams ? = null, id: String ? = null, init: HikageView < View > = {}): View

Provide a new View instance.

#### Return

View

#### Parameters

lparams

the view layout params.

id

the view id, generated by default.

init

the view initialization body.